Transaction Status API¶
Transaction Status API 1.0.0¶
transactions-api¶
GET /api/transactions/{id}/status¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
jwt |
header | string | N/A | No | |
id |
path | string | No |
Responses
{
"found": true,
"transaction": {
"amount": 38,
"approved": true,
"channel": "string",
"currency": "string",
"customer": {
"address": "string",
"city": "string",
"country": "string",
"email": "string",
"first_name": "string",
"id": "string",
"last_name": "string",
"phone": "string",
"postal_code": "string"
},
"data": {},
"description": "string",
"errors": [
{}
],
"id": "string",
"merchant_id": "string",
"normalized_amount": 91,
"order_id": "string",
"payment_method": {
"brand": "string",
"hash": "string",
"masked": "string",
"method": "string",
"token": "string",
"type": "string"
},
"pending": true,
"processing_code": "string",
"processing_result": {
"approval_code": "string",
"payment_provider_account_id": "string",
"payment_provider_id": "string",
"reference_number": "string"
},
"redirect_url": "string",
"reference": "string",
"response_message": "string",
"status": "CREATED",
"terminal_id": "string",
"transaction_type": "string"
}
}
Schema of the response body
{
"properties": {
"found": {
"type": "boolean"
},
"transaction": {
"$ref": "#/components/schemas/ExtendedTransactionDto"
}
},
"type": "object"
}
Schemas¶
CustomerDto¶
| Name | Type | Description |
|---|---|---|
address |
string | null | |
city |
string | null | |
country |
string | null | |
email |
string | null | |
first_name |
string | null | |
id |
string | null | |
last_name |
string | null | |
phone |
string | null | |
postal_code |
string | null |
ExtendedTransactionDto¶
| Name | Type | Description |
|---|---|---|
amount |
integer(int64) | |
approved |
boolean | |
channel |
string | |
currency |
string | |
customer |
CustomerDto | |
data |
||
description |
string | |
errors |
Array<> | |
id |
string | |
merchant_id |
string | |
normalized_amount |
integer(int64) | |
order_id |
string | |
payment_method |
PaymentMethodDataDto | |
pending |
boolean | |
processing_code |
string | null | |
processing_result |
ProcessingResultDto | |
redirect_url |
string | |
reference |
string | |
response_message |
string | null | |
status |
TransactionStatus | |
terminal_id |
string | |
transaction_type |
string |
PaymentMethodDataDto¶
| Name | Type | Description |
|---|---|---|
brand |
string | |
hash |
string | |
masked |
string | |
method |
string | |
token |
string | |
type |
string |
ProcessingResultDto¶
| Name | Type | Description |
|---|---|---|
approval_code |
string | null | |
payment_provider_account_id |
string | null | |
payment_provider_id |
string | null | |
reference_number |
string | null |
RetryOptionsDto¶
| Name | Type | Description |
|---|---|---|
data |
||
payment_provider_account_id |
string | |
payment_provider_id |
string | |
retry_count |
integer(int32) | |
status |
RetryStatus |
RetryStatus¶
Type: string
StatusResponseDto1¶
| Name | Type | Description |
|---|---|---|
found |
boolean | |
transaction |
ExtendedTransactionDto |
TransactionDataDto¶
| Name | Type | Description |
|---|---|---|
retry_options |
TransactionStatus¶
Type: string